package com.horizon.wf.third.hz.todo;

import java.util.Map;

import com.horizon.wf.expand.impl.ITodoInterface;

/**
 * 作者:李勇 创建日期:2008-09-19 跟待办相关的实现类
 * workflow-pub.xml
 * @author Administrator
 * 
 */
@SuppressWarnings({"rawtypes"})
public class TodoImpl implements ITodoInterface {
	public void setTenantid(String tenantid){
		
	}
	/**
	 * 发送邮件,未实现
	 */
	public boolean sendMail(Map lhm){
		return true;
//		return MailUtil.sendMail(lhm, "0");
	}
	
	/**
	 * 发送系统提醒消息,未实现
	 * @param lhm
	 * @return
	 */
	public boolean sendMsg(Map lhm){
		return true;
//		return AlertUtil.saveAlert(lhm);
	}
	
	/**
	 * 发送短信,未实现
	 * @param lhm
	 * @return
	 */
	public boolean sendNode(Map lhm){
//		System.out.println("短信发送");
		return true;
	}
	
	/**
	 * 发送RTF,未实现
	 * @param lhm
	 * @return
	 */
	public boolean sendRTF(Map lhm){
		return true;
	}
	
	/**
	 * 发送其他消息,未实现
	 * @param lhm
	 * @return
	 */
	public boolean sendOther(Map lhm){
		return true;
	}

	
}